Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class FederatedPortalProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.FederatedPortalProperty

public class FederatedPortalProperty
extends ObjectProperty

An enumerated type used to describe the properties of Federated Portals in the portal. Federated Portals support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static FederatedPortalProperty` | `ExpirationMinutes` The amount of time in minutes that the search results will be cached in the portal that returns them.
`static FederatedPortalProperty` | `FederatedPortalIdentity` Incoming portals will accept search requests identified with this name (not used for general Search services).
`static FederatedPortalProperty` | `ImageUUID` The class ID of the image for the object.
`static FederatedPortalProperty` | `SearchProviderClassID` Class ID of the Search provider.
`static FederatedPortalProperty` | `ThisPortalIdentity` The name with which outgoing portals will identify themselves.
`static FederatedPortalProperty` | `WebServiceID` The ID of the web service for the FederatedPortal.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ImageUUID

    public static final FederatedPortalProperty ImageUUID

  The class ID of the image for the object.

### SearchProviderClassID

    public static final FederatedPortalProperty SearchProviderClassID

  Class ID of the Search provider. Currently, there is only one for outgoing Federated Searches: 4AB4F51D-FF6E-4157-8690-CD6BD2BDCF37.

### ThisPortalIdentity

    public static final FederatedPortalProperty ThisPortalIdentity

  The name with which outgoing portals will identify themselves.

### FederatedPortalIdentity

    public static final FederatedPortalProperty FederatedPortalIdentity

  Incoming portals will accept search requests identified with this name (not used for general Search services).

### ExpirationMinutes

    public static final FederatedPortalProperty ExpirationMinutes

  The amount of time in minutes that the search results will be cached in the portal that returns them.

### WebServiceID

    public static final FederatedPortalProperty WebServiceID

  The ID of the web service for the FederatedPortal.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.